Public Class frmUpdateProgram
    Private Sub btnClose_Click(sender As Object, e As EventArgs) Handles btnClose.Click
        Me.Close()
    End Sub

    Private Sub btnCheckNow_Click(sender As Object, e As EventArgs) Handles btnCheckNow.Click
        Dim NewVersion As String
        NewVersion = theMainForm.CheckForProgramUpdates()
        If NewVersion.Length > 0 Then
            '' There is a newer version
            theMainForm.GoToWebForUpdates(IFACE_NAME)
        Else
            '' No newer version
            MsgBox("You have the most current version of " & IFACE_NAME,, IFACE_NAME)
        End If
    End Sub
End Class